Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jet.report
Class JRObjectTemplate

    java.lang.Object
      jet.controls.JetObject
          jet.report.JetRptObject
              jet.report.JRObjectTemplate

All Implemented Interfaces:
  jet.controls.UDOObject, jet.controls.VisualBox, jet.controls.VisualObject, jet.controls.VisualRectangle, jet.convert.NodeInfo, jet.datastream.DSTemplatible, jet.datastream.RecordLocation, jet.ireport.IComponent, jet.report.conditionalFormatting.ConditionalFormatable, jet.util.PropertySetable

    public abstract class JRObjectTemplate

extends jet.report.JetRptObject
implements jet.datastream.DSTemplatible, jet.datastream.RecordLocation, jet.report.conditionalFormatting.ConditionalFormatable, jet.controls.VisualRectangle, jet.controls.UDOObject, jet.ireport.IComponent

The JRObjectTemplate(and subclasses) is used for creating User Defined Objects (UDO). It contains several predefined standard JRpeort Objects (which are used to compose the report). Properties such as X, Y, Height and Width, etc, can be modified. Standard Jreport Object is also called as 'component' in this class. See the help document
User defined objects
for description and examples.

Field Summary
`static java.lang.String` | `ARCSHAPE_STL` Default Style prefix for Arc shape, Only be used for compatibility now
`JetColor` | `backColor` The property named "Background" for background color.
`static java.lang.String` | `BOX_STL` Default Style prefix for box shape, Only be used for compatibility now
`static java.lang.String` | `CHARTPLATFORM_STL` Default Style prefix for ChartObject, Only be used for compatibility now
`jet.controls.JetContextList` | `Class` The Property named "class", for class conditional on class Selector/Attribute Selector when applying CSS
`JetEnumeration` | `clear`
`static java.lang.String` | `COLUMN_STL` Deprecated. because V8 use new structure table.
`JetNumber` | `columnIndex` The Property named "ColumnIndex", the index of column when exporting to excel, default is -1 which means not set.
`static java.lang.String` | `CTAGGFIELD_STL` Default Style prefix for CTAggField, Only be used for compatibility now
`static java.lang.String` | `CTCROSSTAB_STL` Default Style prefix for Crosstab, Only be used for compatibility now
`static java.lang.String` | `CTDBFIELD_STL` Default Style prefix for CTDBField, Only be used for compatibility now
`static java.lang.String` | `CTTEXTFIELD_STL` Default Style prefix for CTTextField, Only be used for compatibility now
`static java.lang.String` | `DATAOBJDETAILPANEL_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DATAOBJECT_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DATAOBJFOOTERPANEL_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DATAOBJGRPFOOTERPANEL_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DATAOBJGRPHEADERPANEL_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DATAOBJHEADERPANEL_STL` Deprecated. because DataObj Not used since V8
`static java.lang.String` | `DBFIELD_STL` Default Style prefix for DBField/Summary/Formula, Only be used for compatibility now
`static java.lang.String` | `DETAILPANEL_STL` Default Style prefix for Detail Panel, Only be used for compatibility now
`JetEnumeration` | `display`
`JetBoolean` | `exportToApplet` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToCSV` The property named "ExportToCSV", if is true this object will be handled when exporting to csv result.
`JetBoolean` | `exportToDHTML` FR399(8.1 )The Property named "ExportToDHTML", if is true, this object will be handed when exporting to DHTML.
`JetBoolean` | `exportToHTML` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToPDF` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToPS` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToRTF` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToText` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetBoolean` | `exportToXLS` The property named "ExportToXLS", if is true this object will be handled when exporting to excel result.
`JetBoolean` | `exportToXML` Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.
`JetString` | `externalCSSClassValue` Using this, a report only provides an "externalCSSClassValue" property for user to specify a string value.
`JetEnumeration` | `Float`
`static int` | `FLOW_CLEAR_BOTH` Deprecated. See `EnumerationConstant.FLOW_CLEAR_BOTH`
`static int` | `FLOW_CLEAR_LEFT` Deprecated. See `EnumerationConstant.FLOW_CLEAR_LEFT`
`static int` | `FLOW_CLEAR_NONE` Deprecated. See `EnumerationConstant.FLOW_CLEAR_NONE`
`static int` | `FLOW_CLEAR_RIGHT` Deprecated. See `EnumerationConstant.FLOW_CLEAR_RIGHT`
`static int` | `FLOW_DIRECTION_BTT` Deprecated. See `EnumerationConstant.FLOW_DIRECTION_BTT`
`static int` | `FLOW_DIRECTION_LTR` Deprecated. See `EnumerationConstant.FLOW_DIRECTION_LTR`
`static int` | `FLOW_DIRECTION_RTL` Deprecated. See `EnumerationConstant.FLOW_DIRECTION_RTL`
`static int` | `FLOW_DIRECTION_TTB` Deprecated. See `EnumerationConstant.FLOW_DIRECTION_TTB`
`static int` | `FLOW_DISPLAY_BLOCK` Deprecated. See `EnumerationConstant.FLOW_DISPLAY_BLOCK`
`static int` | `FLOW_DISPLAY_INLINE` Deprecated. See `EnumerationConstant.FLOW_DISPLAY_INLINE`
`static int` | `FLOW_DISPLAY_NONE` Deprecated. See `EnumerationConstant.FLOW_DISPLAY_NONE`
`static int` | `FLOW_FLOAT_LEFT` Deprecated. See `EnumerationConstant.FLOW_FLOAT_LEFT`
`static int` | `FLOW_FLOAT_NONE` Deprecated. See `EnumerationConstant.FLOW_FLOAT_NONE`
`static int` | `FLOW_FLOAT_RIGHT` Deprecated. See `EnumerationConstant.FLOW_FLOAT_RIGHT`
`static int` | `FLOW_POSITION_ABSOLUTE` Deprecated. See `EnumerationConstant.FLOW_POSITION_ABSOLUTE`
`static int` | `FLOW_POSITION_RELATIVE` Deprecated. See `EnumerationConstant.FLOW_POSITION_RELATIVE`
`static int` | `FLOW_POSITION_STATIC` Deprecated. See `EnumerationConstant.FLOW_POSITION_STATIC`
`static java.lang.String` | `GROUPFOOTERPANEL_STL` Default Style prefix for Group Footer, Only be used for compatibility now
`static java.lang.String` | `GROUPHEADERPANEL_STL` Default Style prefix for Group Header, Only be used for compatibility now
`JetUnitNumber` | `height` The property named "Height" for object height.
`jet.controls.JetContextList` | `id` The Property named "id", for Id conditional on ID Selector/Attribute Selector when applying CSS
`static java.lang.String` | `IMAGE_STL` Default Style prefix for Image, Only be used for compatibility now
`JetBoolean` | `invisible` The property named "Invisible" for object visible.
`static java.lang.String` | `LABEL_STL` Default Style prefix for Label/TextField, Only be used for compatibility now
`static java.lang.String` | `LINE_STL` Default Style prefix for line shape, Only be used for compatibility now
`JetEnumeration` | `location` The property named "RecordLocation" for record location, value must be `EnumerationConstant.RECORDLOCATION_DETAIL` `EnumerationConstant.RECORDLOCATION_PAGEHEADER` `EnumerationConstant.RECORDLOCATION_PAGEFOOTER`
`static java.lang.String` | `MAP_STL` Default Style prefix for Map, Only be used for compatibility now
`static java.lang.String` | `MAPDBFIELD_STL` Default Style prefix for Area-Summary, Only be used for compatibility now
`static java.lang.String` | `MAPLABEL_STL` Default Style prefix for Area-Label, Only be used for compatibility now
`static java.lang.String` | `MEDIAFIELD_STL` Deprecated. because Media Field Not used since V8
`JetNumber` | `objectIndex`
`static java.lang.String` | `OVALSHAPE_STL` Default Style prefix for oval shape, Only be used for compatibility now
`static java.lang.String` | `PAGEFOOTERPANEL_STL` Default Style prefix for Page Footer, Only be used for compatibility now
`static java.lang.String` | `PAGEHEADERPANEL_STL` Default Style prefix for Page Header, Only be used for compatibility now
`static java.lang.String` | `PARAMETERFIELD_STL` Default Style prefix for Pareter field, Only be used for compatibility now
`JetEnumeration` | `position`
`JetQualifyReference` | `refMode` The Property named "refMode" for "mode' usage
`static java.lang.String` | `ROUNDBOXSHAPE_STL` Default Style prefix for Round-box shape, Only be used for compatibility now
`JetNumber` | `rowIndex` The Property named "RowIndex", the index of row when exporting to excel, default is -1 which means not set.
`static java.lang.String` | `RPTFOOTERPANEL_STL` Deprecated. because Report footer Not used since V8
`static java.lang.String` | `RPTHEADERPANEL_STL` Deprecated. because Report Header Not used since V8
`JetNumber` | `rtfId`
`static java.lang.String` | `SECTIONFOOTER_STL` Default Style prefix for Banded Footer, Only be used for compatibility now
`static java.lang.String` | `SECTIONHEADER_STL` Default Style prefix for Banded Header, Only be used for compatibility now
`static java.lang.String` | `SECTIONPAGEFOOTER_STL` Default Style prefix for Banded Page Footer, Only be used for compatibility now
`static java.lang.String` | `SECTIONPAGEHEADER_STL` Default Style prefix for Banded Page header, Only be used for compatibility now
`static java.lang.String` | `SPECIALFIELD_STL` Default Style prefix for Special Field/System Field, Only be used for compatibility now
`JetStringList` | `style` The property named "Style", the prefix for StyleGroup, not be export to RST.
`static java.lang.String` | `SUBREPORT_STL` Default Style prefix for Sub-Report, Only be used for compatibility now
`JetBoolean` | `suppressed` The property named "Suppressed".
`JetBoolean` | `suppressedIfNoRecords` The property named "SuppressedIfNoRecords".
`static java.lang.String` | `TABLE_STL` Deprecated. because V8 use new structure table.
`static java.lang.String` | `TEXT_STL` Deprecated. because TextObject Not used since V8
`JetUnitNumber` | `width` The property named "Width" for object width.
`JetString` | `wstyleGrp`
`JetString` | `wstyleName`
`JetUnitNumber` | `x` The property named "X" for object x position.
`JetUnitNumber` | `y` The property named "Y" for object y position.
`JetNumber` | `zOrder`

Fields inherited from class jet.report.JetRptObject
`anchor, anchorDispValue, displayName, styleName`

Fields inherited from class jet.controls.JetObject
`bEditable, debug, dupAlgorithm, profiling, propIDs, schemaLocation, UPDATENAME`

Fields inherited from interface jet.datastream.DSTemplatible
`ALIGNMENT_CODE, ALT_CODE, APPLET_HEIGHT_CODE, APPLET_WIDTH_CODE, ARC_ANGLE_CODE, ARCSHAPE, AREA, AREA_DBFIELD, AREA_LABEL, AREACHART, AUTO_SIZE_CODE, AUTOFITCODE, AVOID_ORPHAN_HEADER_CODE, BACKGROUND_CODE, BARCHART, BARCODEFIELD, BOLDCODE, BORDER_COLOR_CODE, BORDER_STYLE_CODE, BORDERWIDTH_CODE, BOTTOM_ATTACH_CODE, BOTTOM_ATTACH_POS_X_CODE, BOTTOM_ATTACH_POS_Y_CODE, BOTTOM_LINE_CODE, BOTTOM_MARGIN_CODE, BOUNDARY_VALUE_CODE, BOX, CACHE_SECTION_CODE, CanCrossCode, CASCADE_CODE, CATALOG_NAME_CODE, CELL, CHART, CHART2DCOORDINATEPAPER, CHART3DCOORDINATEPAPER, CHARTCOORDINATEPAPER, CHARTDATASOURCE, CHARTHEATMAPGROUPRECT, CHARTHEATMAPLEGEND, CHARTLABEL, CHARTLEGEND, CHARTNODE, CHARTORGNODE, CHARTORGNODELINE, CHARTPLATFORM, COL_WIDTH_LIST_CODE, COLUMN, COLUMN_NAME_CODE, COLUMN_TOTAL_ON_LEFT_CODE, COLUMNNUMBER_CODE, COMPCHART, COMPCROSSTAB, COMPFLOAT, COMPRESS_IF_NO_RECORD_CODE, CONTAINER, CONTAINER2, CONTROL, CONTROL_SYMBOL, CORNER_FACTOR_CODE, CROSS_TAB, DATA_DRIVER_CODE, DATA_SOURCE_NAME_CODE, DBFIELD, DEPTH_CODE, DETAIL_PANEL, DISPLAY_NULL_CODE, EmbeddedCode, END, ERROR, EXCEL_BUFFER_SIZE_CODE, EXPORTTOCSV_CODE, EXPORTTOXLS_CODE, FIELD, FIELD_TYPE_CODE, FILL_COLOR_CODE, FillWholeCode, FILTER_CONTROL, FONT_FACE_CODE, FONTSIZECODE, FOREGROUND_CODE, FORM, FORMAT_CODE, FUNCTION_CODE, G_MAP, G_MARKER, GEO_AREA, GEO_MAP, GEO_MARKER, GRANT_CODE, GRID, GROUP_BY_CODE, GROUP_CODE, GROUP_FOOTER_PANEL, GROUP_HEADER_PANEL, GROUP_ID_CODE, GROUP_MASK_CODE, GROUP_NUMBER_CODE, GROUP_ORDER_CODE, GROUP_TYPE_CODE, GROUPCONTROLIMG, GROUPFIELD, GROUPFILTER, HAS_BORDER_CODE, HeightCode, HORIZONTAL_CODE, HORIZONTAL_GAP_CODE, INDEX_CODE, INPUT, InvisibleCode, IS_COLUMN_CODE, ISXHEADER_CODE, ITALICCODE, ITEM_ID_CODE, JETRPTCTFIELD, KEEP_GROUP_TOGETHER_CODE, KEEP_OTHERS_CODE, KEY_CODE, LABEL_CODE, LC_CONFIG, LC_TITLE_BAR, LEFT_LINE_CODE, LEFT_MARGIN_CODE, LEGEND, LINE, LINE_COLOR_CODE, LINE_STYLE_CODE, LINE_WIDTH_CODE, LINECHART, MAIN_COLUMN_CODE, MAP, MAP_TEXTFIELD, MAPDBFIELD, MAPLABEL, MAX_PAGE_NUMBER_CODE, MAX_RECORDS_CODE, MAXWIDTHCODE, MEDIAFIELD, MULTI_VALUE_BOX, NAVIGATE_BUTTON, NAVIGATE_CONTROL, NEED_TOPN_CODE, NEW_TABLE, NO_RECORD_TIP_CODE, OLE, OnNewPageCode, OPERATOR_CODE, ORDERBY_CODE, ORIENTATION_CODE, OTHERFIELD, OTHERS_NAME_CODE, OVALSHAPE, PAGE_FOOTER_PANEL, PAGE_HEADER_PANEL, PAGE_TYPE_CODE, PARA_LIST_AUTO_CODE, PARAGRAPH, PARALLELDETAIL_PANEL, PARAMETER_CODE, PARAMETER_FORM, PARAMETERFIELD, ParamListAutoCode, PATTERNCOLOR_CODE, PATTERNSTYLE_CODE, PICTURE, PICTURE_NAME_CODE, PIECHART, POLYGONAL_LINE, QUERY_NAME_CODE, RECORD_LOCATION_CODE, RECORDS_PER_PAGE_CODE, REFERENCE, RELATIVE_FIELD_CODE, REPEAT_CODE, REPEAT_ROW_HEADER_CODE, REPEAT_WHILEGF_CODE, REPLACE_ELEMENT, REPORT_BODY, REPORT_CODE, REPORT_FOOTER_PANEL, REPORT_HEADER_PANEL, REPORT_OBJECT, RESTRICT_CODE, RESULT_BUFFER_SIZE_CODE, RIGHT_LINE_CODE, RIGHT_MARGIN_CODE, ROOT_LABEL_CODE, ROUNDBOXSHAPE, ROW, ROW_TOTAL_ON_TOP_CODE, ROWNUMBER_CODE, ROWS_PER_SHEET_CODE, RTF_FILE_CODE, SECTION, SECTION_FOOTER, SECTION_HEADER, SECTION_OBJECT, SECTION_PAGEFOOTER, SECTION_PAGEHADER, SECTION_PAGEPANEL, SECTION2, SELECT, SHADOW_COLOR_CODE, SHADOWCODE, SHAPE, SHOW_BORDER_CODE, SHOW_SUB_HEADER_FOOTER_CODE, ShowBottomLineCode, SLIDER, SMART_FOOTER, SMART_HEADER, SORT_ORDER_CODE, SPECIAL_FUNC_CODE, SQL_STATEMENT_CODE, START_ANGLE_CODE, STRIKEOUTCODE, STYLE_ELEMENT, SUB_COLUMN_CODE, SUB_REPORT, SUBREPORT_BODY, SUPPRESS_AGGREATE_CODE, SUPPRESS_IN_LAST_PAGE_CODE, SuppressBlankCode, SuppressCode, SUPPRESSED_IF_NULL_CODE, SuppressEmptyCode, SuppressIfNoRCode, SYSTEMFIELD, TABLE, TABLE_CELL, TABLE_DETAIL, TABLE_FOOTER, TABLE_GROUP_FOOTER, TABLE_GROUP_HEADER, TABLE_HEADER, TABLE_ROW, TABLEFIELD, TABULAR, TABULAR_CELL, TEMPLATE_CODE, TEXT_BOX, TEXT_CODE, TEXT_SEGMENT, TEXTFIELD, TEXTOBJECT, TILE_DETAIL_SECTION_CODE, TILE_HORIZONTAL_CODE, TO_BOTTOM_CODE, TOC, TOCGRP, TOCNODE, TOP_ATTACH_CODE, TOP_ATTACH_POS_X_CODE, TOP_ATTACH_POS_Y_CODE, TOP_LINE_CODE, TOP_MARGIN_CODE, TOPN_CODE, TPL_NAME_CODE, TRANSWHILETOHTMLCODE, UDO, UnderlayCode, UNDERLINE_CODE, UNDERLINECODE, VCT_COLOR_LEGEND, VCT_DATALABEL_LEGEND, VCT_DISPLAYTYPE_AUTO, VCT_DISPLAYTYPE_BAR, VCT_DISPLAYTYPE_BENCH, VCT_DISPLAYTYPE_LINE, VCT_DISPLAYTYPE_PIE, VCT_DISPLAYTYPE_SHAPE, VCT_DISPLAYTYPE_TEXT, VCT_HEADER_TITLE, VCT_SHAPE_LEGEND, VCT_SIZE_LEGEND, VCT_SLICE_LEGEND, VCT_TEXT_LEGEND, VCT_TEXT_LEGEND_PATTERN, VCTAXISHeader, VCTBODY, VCTDBHEADER, VCTOBJECT, VERTICAL_GAP_CODE, VERTICAL_LAYOUT_CODE, WidthCode, WORDWRAPCODE, X_DEPTH_CODE, XCode, Y_DEPTH_CODE, YCode, ZIP_RESULT_CODE`

Fields inherited from interface jet.datastream.RecordLocation
`DETAIL, PAGE_FOOTER, PAGE_HEADER`

Fields inherited from interface jet.controls.VisualObject
`VISUAL_LINESEGS, VISUAL_RECTANGLE, VISUAL_STATICBOX`

Constructor Summary
`JRObjectTemplate()` Creates a component .

Method Summary
`void` | `addPropertyToGroup(java.lang.String propertyName, java.lang.String groupName)` ONLY for UDO in Designer. Append a Property to Property-Group that will be showed in Designer Inspector Must sure that `propertyName` and `groupName` has been defined in this Object
`boolean` | `canDoConditionalFormatting()` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Can this component Use 'conditional formatting'(as ChangeBy value) on its properties?
`static int` | `convertSize(int pixel)` Deprecated.
`void` | `fillContextList(jet.controls.JetContextList prop)` For solution of FR51511, overwrited from JetObject, fill ID/Class's property choice
`JetColor` | `getBackground()`
`java.awt.Rectangle` | `getBound()`
`java.util.Vector<jet.controls.JetObject>` | `getChildren()` Returns the children in list if it is container component.
`JetEnumeration` | `getClear()`
`jet.report.conditionalFormatting.JetRptConditionalFormatList` | `getConditionalFormatList()`
`jet.reportset.JetRptDataSet` | `getDataSet()` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Gets the dataset used in datacontainer which contains this.
`static int` | `getDefaultResolution()` Deprecated.
`JetEnumeration` | `getDisplay()`
`JetEnumeration` | `getFloat()`
`JetUnitNumber` | `getHeight()`
`java.util.HashMap<java.lang.String,java.lang.Integer>` | `getIndecialMap()` Returns the properties managed by this. History:V9 rewrite for thread-safe, V10 rewrite for JDK1.5
`java.util.HashMap<java.lang.String,java.lang.Integer>` | `getIndecialMapForCF()` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Gets the properties that are under the control of the 'conditional formatting' Now the properties under 'conditional formatting' are much smaller than the total, so this API is provided.
`java.lang.String` | `getInstName()`
`JetBoolean` | `getInvisible()`
`jet.report.mode.JetRptMode` | `getJetRptMode()` Deprecated.
`JetProperty` | `getLinkProperty()` Gets the Property for link to Report/Email/URL
`java.awt.Point` | `getLocation()` Only For Designer product(such as Designer, LCBuilder)
`int` | `getObjectType()` Gets the object type Object type is used in Layout/Export result.
`JRObjectTemplate` | `getOwner()`
`JetEnumeration` | `getPosition()`
`jet.util.Propertiable` | `getProperty(short propertyName)` Gets property by property index.
`JetProperty` | `getProperty(java.lang.String name)`
`JetProperty` | `getPropertyByCFControlName(java.lang.String name)`
`jet.util.Propertiable` | `getPropertyByName(java.lang.String propertyName)` Gets property by property name.
`jet.util.HashVector<java.lang.String,java.util.List<java.lang.String>>` | `getPropGrpsDesc()` Only For Designer product(such as Designer, LCBuilder)
`jet.reportset.JetRptReport` | `getRptReport()` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Gets the report this is in
`jet.report.conditionalFormatting.JetRptConditionalFormatList` | `getSavedTemporaryConditionalFormatList()`
`JetBoolean` | `getSuppressed()`
`int` | `getTemplateIndex()` Only for Layout/Export. Gets the index in Layout/Export result.
`java.util.Vector<?>` | `getTempSaveConditionalFormatInfoVectorForCrosstab()`
`java.lang.String` | `getUDOName()` If user derives his UDO object from this class, this method will return its name.
`java.awt.Rectangle` | `getUnitBound()`
`int` | `getVisualObjType()`
`JetUnitNumber` | `getWidth()`
`JetUnitNumber` | `getX()`
`JetUnitNumber` | `getY()`
`boolean` | `hasConditionalFormat()` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Does this have 'conditional formatting' data
`boolean` | `isGetPreferredSizeFromRender()` If user defined object(UDO) needs to get preferred size from JRObjecrRender, it should return true.
`boolean` | `isGroupListener()` If user defined object(UDO) needs a group of data, it should return true.
`boolean` | `isLinkable()` Is support link to Report/Email/URL?
`boolean` | `isViewableObject()` If this object is viewable, return true;
`void` | `move(int x, int y)` Only For Designer product(such as Designer, LCBuilder)
`void` | `removePropertyFromGroup(java.lang.String groupName, java.lang.String propName)` ONLY for UDO in Designer. Hide a Property in specified Property-Group that be showed in Designer Inspector Must sure that `groupName` has been defined in this Object
`void` | `removePropertyGroup(java.lang.String groupName)` ONLY for UDO in Designer. Hide a Property-Group( and properties) that be showed in Designer Inspector Must sure that `groupName` has been defined in this Object
`void` | `reshape(int x, int y, int width, int height)` Only For Designer product(such as Designer, LCBuilder)
`void` | `resize(java.awt.Dimension d)` Only For Designer product(such as Designer, LCBuilder)
`void` | `resize(int w, int h)` Only For Designer product(such as Designer, LCBuilder)
`void` | `saveTemporaryConditionalFormatList(jet.report.conditionalFormatting.JetRptConditionalFormatList cflist)`
`void` | `set(java.lang.String name, java.awt.Color val)` Sets the value of property whose name is set via the specified color value. History: Before 20050704, ONLY can set "backColor"(case insencetive)
`void` | `set(java.lang.String name, int t3)` Sets the value of property whose name is set via specified integer value. History: Before 20050704,ONLY can set "x","y","width","height","invisible" ,"suppressed", "suppressedIfNoRecords","exportToCSV","exportToXLS"(all case insencetive) Author's comment For better performance, JReport Server uses primitive data type to replace JetProperty.
`void` | `set(java.lang.String name, java.lang.String t3)` Sets the value of property whose name is set via the specified string value. History: Before 20050704,ONLY can set "backColor"(case insencetive) Author's comment For better performance, JReport Server use primitive data type to replace JetProperty.
`void` | `setBackground(java.awt.Color c)` Deprecated.
`void` | `setBound(java.awt.Rectangle rect)` Only For Designer product(such as Designer, LCBuilder)
`void` | `setConditionalFormatList(jet.report.conditionalFormatting.JetRptConditionalFormatList cfList)` API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable` Resets 'conditional formatting' data, and clear 'conditional formatting' on properties
`static void` | `setDefaultResolution(int res)` Deprecated.
`void` | `setTemplateIndex(int idx)` Only For Layout/Export Sets the index in Layout/Export result.
`void` | `setUDOName(java.lang.String name)` If user derives his UDO object from this class, UDOManager will set its name when loading the UDO tamplate.
`java.awt.Dimension` | `size()`
`void` | `tempSaveConditionalFormatInfoVectorForCrosstab(java.util.Vector v)`

Methods inherited from class jet.report.JetRptObject
`afterInit, delete, getBelongFormInstName, getDisplayName, getEdMethod, getIndexInChildren, getPrefix, getPrimProp, getViewComponentName, setBelongFormInstName, setChangeBy, setDisplayName, setEdMethod, setViewComponentName`

Methods inherited from class jet.controls.JetObject
`add, addPrimByF, addProperty, addPropertyGroup, addPropertyGroupAt, addPropertyGroupDirectly, addPropertytoGroupDirectly, addReferencer, afterInitInternal, afterNewTree, beforeRemoved, canBeBrowse, close, copyAttributes, copyProperties, copyProperties, copyProperties, createNamingSystem, createNamingSystem, createNamingSystemB, deepDup, deepDup, deepDup, deepDupWithName, deepDupWithoutCopyProperties, deepDupWithoutCopyProperties, destory, dup, duplicatePropGrpsDesc, fullDestory, getAncestor, getChangByF, getDescendant, getDisEditJetPropByByGroup, getEditableProperties, getEditalbeJetProp, getFlagImage, getGroupNamebyPropName, getInstancePrefix, getInstNameDirectly, getNameCount, getParent, getParentNode, getPrimByF, getProperties, getPropertyGroup, getPropertyGroupNameByProperty, getPropertyGroups, getPropertyValue, getPropNames, getQualifyName, getRefObjects, getRoot, getTemplate, handleEvent, isAfterInit, isIncludePropertyGroupDirectly, isInIndecialMap, isJetCSerializable, isNeedQuotes, nameToObject, nameToProperty, registObject, remove, removePropertiesAndGroups, removeReferencer, rename, setEditable, setInstName, setInstNameDirectly, setJetCSerializable, setParent, setParentDirectly, setTemplate, toPrimitive`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface jet.datastream.DSTemplatible
`getAlignment, getAlignmentChBy, getAlt, getAlt, getArcAngle, getAutoFit, getAutoSize, getAvoidOrphanHeader, getBackground, getBackgroundByType, getBackgroundChBy, getBasedArea, getBasedMapDBField, getBasedMapTextField, getBold, getBoldChangeByType, getBoldChBy, getBorderColor, getBorderColorChBy, getBorderStyle, getBorderStyleChBy, getBorderWidth, getBorderWidthChBy, getBottomAttachPosX, getBottomAttachPosY, getBottomLine, getBottomLineChangeByType, getBottomLineChBy, getBoundaryValue, getCacheSection, getCanCrossPage, getCascade, getChangByF, getColumnName, getColumnNameChBy, getColumnNumber, getColumnTotalOnLeft, getCornerFactor, getDataSourceName, getDefaultProperties, getDepth, getDisplayNull, getDisplayNull, getEmbedded, getExportToCSV, getExportToCSVChBy, getExportToXLS, getExportToXLSChBy, getFieldType, getFillColor, getFillWholePage, getFontFace, getFontFaceChangeByType, getFontFaceChBy, getFontSize, getFontSizeChangeByType, getFontSizeChBy, getForeground, getForegroundChangeByType, getForegroundChBy, getFormat, getFormat, getGrant, getGroup, getGroupBy, getGroupByChBy, getGroupMask, getGroupNumber, getGroupOrder, getGroupType, getHasBorder, getHeight, getHorizontalGap, getImg, getIndex, getInvisible, getIsXHeader, getItalic, getItalicChangeByType, getItalicChBy, getKeepGroupTogether, getKeepOthers, getLabel, getLeftLine, getLeftLineChangeByType, getLeftLineChBy, getLineColor, getLineColorChBy, getLineStyle, getLineStyleChBy, getLineWidth, getMainColumnChBy, getMaxPageNumber, getMaxWidth, getNeedTopN, getOnNewPage, getOrderby, getOrderbyChBy, getOthersName, getParameter, getParameterChBy, getPatternColor, getPatternStyle, getPictureNameChBy, getPrimProp, getPrimPropS, getProperties, getQueryName, getRecordLocation, getRecordsPerPage, getRelativeFieldChBy, getRepeat, getRepeatRowHeader, getRepeatWhileGF, getReport, getRightLine, getRightLineChangeByType, getRightLineChBy, getRowNumber, getRowTotalOnTop, getRtfFile, getShadow, getShadowChBy, getShadowColor, getShadowColorChBy, getShowBorder, getShowBottomLine, getSortOrder, getSpecialFunc, getSqlStatement, getStartAngle, getStrikeOut, getStrikeOutChBy, getSuppressAggreate, getSuppressBlankSection, getSuppressed, getSuppressedIfNull, getSuppressedIfNull, getSuppressEmpty, getSuppressInLastPage, getText, getText, getTileDetailSection, getTileHorizontal, getToBottom, getTopAttachPosX, getTopAttachPosY, getTopLine, getTopLineChangeByType, getTopLineChBy, getTopN, getTransWhileToHtml, getUnderlay, getUnderline, getUnderlineChangeByType, getUnderlineChBy, getVerticalGap, getVerticalLayout, getWidth, getWordWrap, getX, getXDepth, getY, getYDepth, isByOther, writePrim, writePrim, writePrim`

Methods inherited from interface jet.ireport.IComponent
`clearTitleObject, getProperties, getTitleObject, setTitleObject`

Field Detail

### FLOW_POSITION_STATIC

    public static final int FLOW_POSITION_STATIC

  Deprecated. See `EnumerationConstant.FLOW_POSITION_STATIC`
  See Also:
    Constant Field Values

### FLOW_POSITION_RELATIVE

    public static final int FLOW_POSITION_RELATIVE

  Deprecated. See `EnumerationConstant.FLOW_POSITION_RELATIVE`
  See Also:
    Constant Field Values

### FLOW_POSITION_ABSOLUTE

    public static final int FLOW_POSITION_ABSOLUTE

  Deprecated. See `EnumerationConstant.FLOW_POSITION_ABSOLUTE`
  See Also:
    Constant Field Values

### FLOW_DISPLAY_BLOCK

    public static final int FLOW_DISPLAY_BLOCK

  Deprecated. See `EnumerationConstant.FLOW_DISPLAY_BLOCK`
  See Also:
    Constant Field Values

### FLOW_DISPLAY_INLINE

    public static final int FLOW_DISPLAY_INLINE

  Deprecated. See `EnumerationConstant.FLOW_DISPLAY_INLINE`
  See Also:
    Constant Field Values

### FLOW_DISPLAY_NONE

    public static final int FLOW_DISPLAY_NONE

  Deprecated. See `EnumerationConstant.FLOW_DISPLAY_NONE`
  See Also:
    Constant Field Values

### FLOW_FLOAT_LEFT

    public static final int FLOW_FLOAT_LEFT

  Deprecated. See `EnumerationConstant.FLOW_FLOAT_LEFT`
  See Also:
    Constant Field Values

### FLOW_FLOAT_RIGHT

    public static final int FLOW_FLOAT_RIGHT

  Deprecated. See `EnumerationConstant.FLOW_FLOAT_RIGHT`
  See Also:
    Constant Field Values

### FLOW_FLOAT_NONE

    public static final int FLOW_FLOAT_NONE

  Deprecated. See `EnumerationConstant.FLOW_FLOAT_NONE`
  See Also:
    Constant Field Values

### FLOW_CLEAR_LEFT

    public static final int FLOW_CLEAR_LEFT

  Deprecated. See `EnumerationConstant.FLOW_CLEAR_LEFT`
  See Also:
    Constant Field Values

### FLOW_CLEAR_RIGHT

    public static final int FLOW_CLEAR_RIGHT

  Deprecated. See `EnumerationConstant.FLOW_CLEAR_RIGHT`
  See Also:
    Constant Field Values

### FLOW_CLEAR_BOTH

    public static final int FLOW_CLEAR_BOTH

  Deprecated. See `EnumerationConstant.FLOW_CLEAR_BOTH`
  See Also:
    Constant Field Values

### FLOW_CLEAR_NONE

    public static final int FLOW_CLEAR_NONE

  Deprecated. See `EnumerationConstant.FLOW_CLEAR_NONE`
  See Also:
    Constant Field Values

### FLOW_DIRECTION_LTR

    public static final int FLOW_DIRECTION_LTR

  Deprecated. See `EnumerationConstant.FLOW_DIRECTION_LTR`
  See Also:
    Constant Field Values

### FLOW_DIRECTION_RTL

    public static final int FLOW_DIRECTION_RTL

  Deprecated. See `EnumerationConstant.FLOW_DIRECTION_RTL`
  See Also:
    Constant Field Values

### FLOW_DIRECTION_TTB

    public static final int FLOW_DIRECTION_TTB

  Deprecated. See `EnumerationConstant.FLOW_DIRECTION_TTB`
  See Also:
    Constant Field Values

### FLOW_DIRECTION_BTT

    public static final int FLOW_DIRECTION_BTT

  Deprecated. See `EnumerationConstant.FLOW_DIRECTION_BTT`
  See Also:
    Constant Field Values

### CTTEXTFIELD_STL

    public static final java.lang.String CTTEXTFIELD_STL

  Default Style prefix for CTTextField, Only be used for compatibility now

  See Also:
    Constant Field Values

### CTAGGFIELD_STL

    public static final java.lang.String CTAGGFIELD_STL

  Default Style prefix for CTAggField, Only be used for compatibility now

  See Also:
    Constant Field Values

### CTDBFIELD_STL

    public static final java.lang.String CTDBFIELD_STL

  Default Style prefix for CTDBField, Only be used for compatibility now

  See Also:
    Constant Field Values

### DATAOBJHEADERPANEL_STL

    public static final java.lang.String DATAOBJHEADERPANEL_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj's Header,

  See Also:
    Constant Field Values

### RPTHEADERPANEL_STL

    public static final java.lang.String RPTHEADERPANEL_STL

  Deprecated. because Report Header Not used since V8
  Default Style prefix for Report Header,

  See Also:
    Constant Field Values

### DATAOBJFOOTERPANEL_STL

    public static final java.lang.String DATAOBJFOOTERPANEL_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj's Footer,

  See Also:
    Constant Field Values

### RPTFOOTERPANEL_STL

    public static final java.lang.String RPTFOOTERPANEL_STL

  Deprecated. because Report footer Not used since V8
  Default Style prefix for Report Footer,

  See Also:
    Constant Field Values

### DATAOBJGRPHEADERPANEL_STL

    public static final java.lang.String DATAOBJGRPHEADERPANEL_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj's Group Header,

  See Also:
    Constant Field Values

### GROUPHEADERPANEL_STL

    public static final java.lang.String GROUPHEADERPANEL_STL

  Default Style prefix for Group Header, Only be used for compatibility now

  See Also:
    Constant Field Values

### DATAOBJGRPFOOTERPANEL_STL

    public static final java.lang.String DATAOBJGRPFOOTERPANEL_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj's Group Footer

  See Also:
    Constant Field Values

### GROUPFOOTERPANEL_STL

    public static final java.lang.String GROUPFOOTERPANEL_STL

  Default Style prefix for Group Footer, Only be used for compatibility now

  See Also:
    Constant Field Values

### DATAOBJDETAILPANEL_STL

    public static final java.lang.String DATAOBJDETAILPANEL_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj's Detail,

  See Also:
    Constant Field Values

### DETAILPANEL_STL

    public static final java.lang.String DETAILPANEL_STL

  Default Style prefix for Detail Panel, Only be used for compatibility now

  See Also:
    Constant Field Values

### ARCSHAPE_STL

    public static final java.lang.String ARCSHAPE_STL

  Default Style prefix for Arc shape, Only be used for compatibility now

  See Also:
    Constant Field Values

### BOX_STL

    public static final java.lang.String BOX_STL

  Default Style prefix for box shape, Only be used for compatibility now

  See Also:
    Constant Field Values

### LINE_STL

    public static final java.lang.String LINE_STL

  Default Style prefix for line shape, Only be used for compatibility now

  See Also:
    Constant Field Values

### OVALSHAPE_STL

    public static final java.lang.String OVALSHAPE_STL

  Default Style prefix for oval shape, Only be used for compatibility now

  See Also:
    Constant Field Values

### ROUNDBOXSHAPE_STL

    public static final java.lang.String ROUNDBOXSHAPE_STL

  Default Style prefix for Round-box shape, Only be used for compatibility now

  See Also:
    Constant Field Values

### LABEL_STL

    public static final java.lang.String LABEL_STL

  Default Style prefix for Label/TextField, Only be used for compatibility now

  See Also:
    Constant Field Values

### DBFIELD_STL

    public static final java.lang.String DBFIELD_STL

  Default Style prefix for DBField/Summary/Formula, Only be used for compatibility now

  See Also:
    Constant Field Values

### MEDIAFIELD_STL

    public static final java.lang.String MEDIAFIELD_STL

  Deprecated. because Media Field Not used since V8
  Default Style prefix for Media Field,

  See Also:
    Constant Field Values

### IMAGE_STL

    public static final java.lang.String IMAGE_STL

  Default Style prefix for Image, Only be used for compatibility now

  See Also:
    Constant Field Values

### TEXT_STL

    public static final java.lang.String TEXT_STL

  Deprecated. because TextObject Not used since V8
  Default Style prefix for TextObject,

  See Also:
    Constant Field Values

### CHARTPLATFORM_STL

    public static final java.lang.String CHARTPLATFORM_STL

  Default Style prefix for ChartObject, Only be used for compatibility now

  See Also:
    Constant Field Values

### DATAOBJECT_STL

    public static final java.lang.String DATAOBJECT_STL

  Deprecated. because DataObj Not used since V8
  Default Style prefix for DataObj,

  See Also:
    Constant Field Values

### SUBREPORT_STL

    public static final java.lang.String SUBREPORT_STL

  Default Style prefix for Sub-Report, Only be used for compatibility now

  See Also:
    Constant Field Values

### CTCROSSTAB_STL

    public static final java.lang.String CTCROSSTAB_STL

  Default Style prefix for Crosstab, Only be used for compatibility now

  See Also:
    Constant Field Values

### PARAMETERFIELD_STL

    public static final java.lang.String PARAMETERFIELD_STL

  Default Style prefix for Pareter field, Only be used for compatibility now

  See Also:
    Constant Field Values

### SPECIALFIELD_STL

    public static final java.lang.String SPECIALFIELD_STL

  Default Style prefix for Special Field/System Field, Only be used for compatibility now

  See Also:
    Constant Field Values

### TABLE_STL

    public static final java.lang.String TABLE_STL

  Deprecated. because V8 use new structure table.
  Default Style prefix for Table

  See Also:
    Constant Field Values

### COLUMN_STL

    public static final java.lang.String COLUMN_STL

  Deprecated. because V8 use new structure table.
  Default Style prefix for Table Column

  See Also:
    Constant Field Values

### MAP_STL

    public static final java.lang.String MAP_STL

  Default Style prefix for Map, Only be used for compatibility now

  See Also:
    Constant Field Values

### MAPDBFIELD_STL

    public static final java.lang.String MAPDBFIELD_STL

  Default Style prefix for Area-Summary, Only be used for compatibility now

  See Also:
    Constant Field Values

### MAPLABEL_STL

    public static final java.lang.String MAPLABEL_STL

  Default Style prefix for Area-Label, Only be used for compatibility now

  See Also:
    Constant Field Values

### PAGEHEADERPANEL_STL

    public static final java.lang.String PAGEHEADERPANEL_STL

  Default Style prefix for Page Header, Only be used for compatibility now

  See Also:
    Constant Field Values

### PAGEFOOTERPANEL_STL

    public static final java.lang.String PAGEFOOTERPANEL_STL

  Default Style prefix for Page Footer, Only be used for compatibility now

  See Also:
    Constant Field Values

### SECTIONHEADER_STL

    public static final java.lang.String SECTIONHEADER_STL

  Default Style prefix for Banded Header, Only be used for compatibility now

  See Also:
    Constant Field Values

### SECTIONFOOTER_STL

    public static final java.lang.String SECTIONFOOTER_STL

  Default Style prefix for Banded Footer, Only be used for compatibility now

  See Also:
    Constant Field Values

### SECTIONPAGEHEADER_STL

    public static final java.lang.String SECTIONPAGEHEADER_STL

  Default Style prefix for Banded Page header, Only be used for compatibility now

  See Also:
    Constant Field Values

### SECTIONPAGEFOOTER_STL

    public static final java.lang.String SECTIONPAGEFOOTER_STL

  Default Style prefix for Banded Page Footer, Only be used for compatibility now

  See Also:
    Constant Field Values

### x

    public JetUnitNumber x

  The property named "X" for object x position.

### y

    public JetUnitNumber y

  The property named "Y" for object y position.

### width

    public JetUnitNumber width

  The property named "Width" for object width.

### height

    public JetUnitNumber height

  The property named "Height" for object height.

### invisible

    public JetBoolean invisible

  The property named "Invisible" for object visible.

### suppressed

    public JetBoolean suppressed

  The property named "Suppressed". If is true this object will be ignored on Layout/Export.

### suppressedIfNoRecords

    public JetBoolean suppressedIfNoRecords

  The property named "SuppressedIfNoRecords". If it is true and this object has no records it will be ignored on Layout/Export.

### backColor

    public JetColor backColor

  The property named "Background" for background color.

### exportToCSV

    public JetBoolean exportToCSV

  The property named "ExportToCSV", if is true this object will be handled when exporting to csv result.

### exportToXLS

    public JetBoolean exportToXLS

  The property named "ExportToXLS", if is true this object will be handled when exporting to excel result.

### location

    public JetEnumeration location

  The property named "RecordLocation" for record location, value must be
  `EnumerationConstant.RECORDLOCATION_DETAIL`
  `EnumerationConstant.RECORDLOCATION_PAGEHEADER`
  `EnumerationConstant.RECORDLOCATION_PAGEFOOTER`

### style

    public JetStringList style

  The property named "Style", the prefix for StyleGroup, not be export to RST.

### rtfId

    public JetNumber rtfId

### columnIndex

    public JetNumber columnIndex

  The Property named "ColumnIndex", the index of column when exporting to excel, default is -1 which means not set.

### rowIndex

    public JetNumber rowIndex

  The Property named "RowIndex", the index of row when exporting to excel, default is -1 which means not set.

### wstyleGrp

    public JetString wstyleGrp

### wstyleName

    public JetString wstyleName

### objectIndex

    public JetNumber objectIndex

### refMode

    public JetQualifyReference refMode

  The Property named "refMode" for "mode' usage

  Since:
    V8

### position

    public JetEnumeration position

Since:
  V8

### display

    public JetEnumeration display

Since:
  V8

### Float

    public JetEnumeration Float

Since:
  V8

### clear

    public JetEnumeration clear

Since:
  V8

### zOrder

    public JetNumber zOrder

### id

    public jet.controls.JetContextList id

  The Property named "id", for Id conditional on ID Selector/Attribute Selector when applying CSS

### Class

    public jet.controls.JetContextList Class

  The Property named "class", for class conditional on class Selector/Attribute Selector when applying CSS

### externalCSSClassValue

    public JetString externalCSSClassValue

  Using this, a report only provides an "externalCSSClassValue" property for user to specify a string value. Then the other operations are the same as normal. When export to html, if the "externalCSSClassValue" is not null, use the value of the html "class" property value, else use the current process, the system generates a value for it. Here we do not specify when the user inputs the same "externalCSSClassValue" string, the Designer shows the same appearance. the "externalCSSClassValue" is only a signal for the user to apply CSS style. Now this property only is used for export level

  Since:
    V8

### exportToDHTML

    public JetBoolean exportToDHTML

  FR399(8.1 )The Property named "ExportToDHTML", if is true, this object will be handed when exporting to DHTML.

  Since:
    V8.2

### exportToHTML

    public JetBoolean exportToHTML

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToPDF

    public JetBoolean exportToPDF

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToText

    public JetBoolean exportToText

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToRTF

    public JetBoolean exportToRTF

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToXML

    public JetBoolean exportToXML

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToPS

    public JetBoolean exportToPS

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

### exportToApplet

    public JetBoolean exportToApplet

  Feature 114772, the Property named "ExportToXXX", if true, this object will be handled when exporting to XXX.

  Since:
    114772(V13.5)

Constructor Detail

### JRObjectTemplate

    public JRObjectTemplate()

  Creates a component .

Method Detail

### getInstName

    public java.lang.String getInstName()

  Specified by:
    `getInstName` in interface `jet.datastream.DSTemplatible`
  Overrides:
    `getInstName` in class `jet.controls.JetObject`

### setUDOName

    public final void setUDOName(java.lang.String name)

  If user derives his UDO object from this class, UDOManager will set its name when loading the UDO tamplate.

### getUDOName

    public final java.lang.String getUDOName()

  If user derives his UDO object from this class, this method will return its name.

  Specified by:
    `getUDOName` in interface `jet.controls.UDOObject`

### isViewableObject

    public boolean isViewableObject()

  If this object is viewable, return true;

  Overrides:
    `isViewableObject` in class `jet.report.JetRptObject`

### getLocation

    public java.awt.Point getLocation()

  Only For Designer product(such as Designer, LCBuilder)

  Returns:
    the Point based on pixel

### getBound

    public java.awt.Rectangle getBound()

  Returns:
    the Rectangle based on pixel

### getUnitBound

    public java.awt.Rectangle getUnitBound()

  Returns:
    the Rectangle based on unit

### size

    public java.awt.Dimension size()

  Returns:
    the dimension based on pixel

### move

    public void move(int x,
                     int y)

  Only For Designer product(such as Designer, LCBuilder)

  Parameters:
    `x` - x in pixel
    `y` - y in pixel
  See Also:
    `reshape(int, int, int, int)`

### resize

    public void resize(java.awt.Dimension d)

  Only For Designer product(such as Designer, LCBuilder)

  Parameters:
    `d` - Dimension based on pixel
  See Also:
    `reshape(int, int, int, int)`

### resize

    public void resize(int w,
                       int h)

  Only For Designer product(such as Designer, LCBuilder)

  Parameters:
    `width` - width in pixel
    `height` - height in pixel
  See Also:
    `reshape(int, int, int, int)`

### reshape

    public void reshape(int x,
                        int y,
                        int width,
                        int height)

  Only For Designer product(such as Designer, LCBuilder)

  Parameters:
    `x` - x in pixel
    `y` - y in pixel
    `width` - width in pixel
    `height` - height in pixel

### setBound

    public void setBound(java.awt.Rectangle rect)

  Only For Designer product(such as Designer, LCBuilder)

  Parameters:
    `rect` - Rectangle based on pixel

### setBackground

    public void setBackground(java.awt.Color c)

  Deprecated.

  Sets 'Background'(case sensitive) via color value

  See Also:
    `JetObject.nameToProperty(String)`, `JetColor.set(Color)`

### getProperty

    public JetProperty getProperty(java.lang.String name)

  See Also:
    `getPropertyByName(String)`, `JetObject.nameToProperty(String)`

### getOwner

    public JRObjectTemplate getOwner()

  Returns:
    always `this`

### getObjectType

    public int getObjectType()

  Gets the object type
  Object type is used in Layout/Export result.

  Specified by:
    `getObjectType` in interface `jet.datastream.DSTemplatible`
  See Also:
    `DSTemplatible`

### getProperty

    public jet.util.Propertiable getProperty(short propertyName)

  Gets property by property index.

  Specified by:
    `getProperty` in interface `jet.util.PropertySetable`
  See Also:
    `PropertyMapTable.getPropertyName(short)`, `getPropertyByName(String)`, `JetObject.nameToProperty(String)`

### getPropertyByName

    public jet.util.Propertiable getPropertyByName(java.lang.String propertyName)

  Gets property by property name.

  Specified by:
    `getPropertyByName` in interface `jet.util.PropertySetable`
  See Also:
    `JetObject.nameToProperty(String)`

### isGroupListener

    public boolean isGroupListener()

  If user defined object(UDO) needs a group of data, it should return true. Default return false;

### isGetPreferredSizeFromRender

    public boolean isGetPreferredSizeFromRender()

  If user defined object(UDO) needs to get preferred size from JRObjecrRender, it should return true. Default return false;

### isLinkable

    public boolean isLinkable()

  Is support link to Report/Email/URL?

  Specified by:
    `isLinkable` in interface `jet.datastream.DSTemplatible`

### getLinkProperty

    public JetProperty getLinkProperty()

  Gets the Property for link to Report/Email/URL

### setTemplateIndex

    public final void setTemplateIndex(int idx)

  Only For Layout/Export
  Sets the index in Layout/Export result.

  Parameters:
    `idx` -
  See Also:
    `getTemplateIndex()`, `JCommunicator`

### getTemplateIndex

    public final int getTemplateIndex()

  Only for Layout/Export.
  Gets the index in Layout/Export result.

  See Also:
    `setTemplateIndex(int)`, `JCommunicator`

### setDefaultResolution

    public static void setDefaultResolution(int res)

  Deprecated.

  Parameters:
    `res` - the resulution
  See Also:
    `Unit.setResolution(int)`, `getDefaultResolution()`, `convertSize(int)`

### getDefaultResolution

    public static int getDefaultResolution()

  Deprecated.

  Returns:
    the resolution
  See Also:
    `Unit.getResolution()`, `setDefaultResolution(int)`, `convertSize(int)`

### convertSize

    public static int convertSize(int pixel)

  Deprecated.

  Return the unit converted from specified pixel value and resolution

  Parameters:
    `pixel` -
  Returns:
    the unit-value
  See Also:
    `Unit.convertPixelToUnit(int, int)`, `setDefaultResolution(int)`, `getDefaultResolution()`

### getChildren

    public java.util.Vector<jet.controls.JetObject> getChildren()

  Returns the children in list if it is container component.

  Specified by:
    `getChildren` in interface `jet.convert.NodeInfo`
  Specified by:
    `getChildren` in interface `jet.datastream.DSTemplatible`
  Overrides:
    `getChildren` in class `jet.controls.JetObject`
  Returns:
    a list or `null` if not container component.

### set

    public void set(java.lang.String name,
                    int t3)

  Sets the value of property whose name is set via specified integer value.
  History: Before 20050704,ONLY can set "x","y","width","height","invisible" ,"suppressed", "suppressedIfNoRecords","exportToCSV","exportToXLS"(all case insencetive)

  Author's comment
  For better performance, JReport Server uses primitive data type to replace JetProperty. So starting from JReport version 5, you cannot directly set the property values by set method of the property, such as x, y, width and height in JRObjectTemplate. You do need to maintain your UDO code accordingly. For example, your original code: width.set (100); should be modified to be: set ("width", 100)

  Parameters:
    `name` - the property name
    `t3` - the int value
  See Also:
    `JetObject.nameToProperty(String)`, `getPropertyByName(String)`, `JetProperty.setUnitValue(String)`

### set

    public void set(java.lang.String name,
                    java.lang.String t3)

  Sets the value of property whose name is set via the specified string value.
  History: Before 20050704,ONLY can set "backColor"(case insencetive)

  Author's comment
  For better performance, JReport Server use primitive data type to replace JetProperty. So starting from JReport version 5, you cannot directly set the property values by set method of the property, such as x, y, width and height in JRObjectTemplate. You do need to maintain your UDO code accordingly.
  For example, your original code: width.set (100); should be modified to be:set ("width", 100)

  Parameters:
    `name` - the property name
    `t3` - the string value
  See Also:
    `JetObject.nameToProperty(String)`, `getPropertyByName(String)`, `JetProperty.setUnitValue(String)`

### set

    public void set(java.lang.String name,
                    java.awt.Color val)

  Sets the value of property whose name is set via the specified color value.
  History: Before 20050704, ONLY can set "backColor"(case insencetive)

  Parameters:
    `name` - the property name
    `val` - the color value
  See Also:
    `JetObject.nameToProperty(String)`, `getPropertyByName(String)`, `JetColor.set(Color)`

### getJetRptMode

    public jet.report.mode.JetRptMode getJetRptMode()

  Deprecated.

  API for Features about Mode-render-action
  Gets Mode.

  Returns:
    the RptMode: null means use default renderer.
  Since:
    V8
  See Also:
    `Renderable.getCurrentUsedRenderer()`

### getIndecialMap

    public java.util.HashMap<java.lang.String,java.lang.Integer> getIndecialMap()

  Returns the properties managed by this.
  History:V9 rewrite for thread-safe, V10 rewrite for JDK1.5

  Overrides:
    `getIndecialMap` in class `jet.report.JetRptObject`
  Returns:
    hashmap with key is property name, value is ID for manager.
  Since:
    V8.2(Footprint innertask)

### getPropGrpsDesc

    public jet.util.HashVector<java.lang.String,java.util.List<java.lang.String>> getPropGrpsDesc()

  Only For Designer product(such as Designer, LCBuilder)

  Overrides:
    `getPropGrpsDesc` in class `jet.controls.JetObject`
  Returns:
    a Hashvector, key is a name of property group, value is a list contains the name of property in group.
  Since:
    V8.2(Footprint innertask)

### getIndecialMapForCF

    public java.util.HashMap<java.lang.String,java.lang.Integer> getIndecialMapForCF()

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Gets the properties that are under the control of the 'conditional formatting'
  Now the properties under 'conditional formatting' are much smaller than the total, so this API is provided.

  Specified by:
    `getIndecialMapForCF` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Returns:
    HashMap key is property name and value is a index
  Since:
    V9

### getConditionalFormatList

    public jet.report.conditionalFormatting.JetRptConditionalFormatList getConditionalFormatList()

  Specified by:
    `getConditionalFormatList` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Since:
    V9
  See Also:
    `hasConditionalFormat()`, `setConditionalFormatList(JetRptConditionalFormatList)`, `canDoConditionalFormatting()`, `JetRptConditionalFormatList`

### hasConditionalFormat

    public boolean hasConditionalFormat()

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Does this have 'conditional formatting' data

  Specified by:
    `hasConditionalFormat` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Returns:
    true(have) | false(no)
  Since:
    V9
  See Also:
    `getConditionalFormatList()`, `setConditionalFormatList(JetRptConditionalFormatList)`, `canDoConditionalFormatting()`

### setConditionalFormatList

    public void setConditionalFormatList(jet.report.conditionalFormatting.JetRptConditionalFormatList cfList)

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Resets 'conditional formatting' data, and clear 'conditional formatting' on properties

  Specified by:
    `setConditionalFormatList` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Parameters:
    `cfList` - 'conditional formatting' data
  Since:
    V9
  See Also:
    `getPropertyByCFControlName(String)`, `hasConditionalFormat()`, `canDoConditionalFormatting()`, `JetProperty.setChangeByFmtt(Object)`

### canDoConditionalFormatting

    public boolean canDoConditionalFormatting()

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Can this component Use 'conditional formatting'(as ChangeBy value) on its properties?

  Specified by:
    `canDoConditionalFormatting` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Since:
    V9

### getRptReport

    public jet.reportset.JetRptReport getRptReport()

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Gets the report this is in

  Specified by:
    `getRptReport` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Returns:
    null means not in report
  Since:
    V9

### getDataSet

    public jet.reportset.JetRptDataSet getDataSet()

  API for solution for 'Conditional Formatting Feature', implements from `ConditionalFormatable`
  Gets the dataset used in datacontainer which contains this.

  Specified by:
    `getDataSet` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Since:
    V9
  See Also:
    `DataContainerLogic.getBindDataContainer(JetObject)`, `DataContainerLogic#getUsedDataSet(JetRptDataContainer)`

### saveTemporaryConditionalFormatList

    public void saveTemporaryConditionalFormatList(jet.report.conditionalFormatting.JetRptConditionalFormatList cflist)

  Specified by:
    `saveTemporaryConditionalFormatList` in interface `jet.report.conditionalFormatting.ConditionalFormatable`

### getSavedTemporaryConditionalFormatList

    public jet.report.conditionalFormatting.JetRptConditionalFormatList getSavedTemporaryConditionalFormatList()

  Specified by:
    `getSavedTemporaryConditionalFormatList` in interface `jet.report.conditionalFormatting.ConditionalFormatable`

### getPropertyByCFControlName

    public JetProperty getPropertyByCFControlName(java.lang.String name)

  Specified by:
    `getPropertyByCFControlName` in interface `jet.report.conditionalFormatting.ConditionalFormatable`
  Parameters:
    `name` -
  Throws:
    `java.lang.NullPointerException` - if name is `null`
    `java.lang.Error` - if name not defined.
  See Also:
    `getIndecialMapForCF()`

### tempSaveConditionalFormatInfoVectorForCrosstab

    public void tempSaveConditionalFormatInfoVectorForCrosstab(java.util.Vector v)

  Specified by:
    `tempSaveConditionalFormatInfoVectorForCrosstab` in interface `jet.report.conditionalFormatting.ConditionalFormatable`

### getTempSaveConditionalFormatInfoVectorForCrosstab

    public java.util.Vector<?> getTempSaveConditionalFormatInfoVectorForCrosstab()

  Specified by:
    `getTempSaveConditionalFormatInfoVectorForCrosstab` in interface `jet.report.conditionalFormatting.ConditionalFormatable`

### fillContextList

    public void fillContextList(jet.controls.JetContextList prop)

  For solution of FR51511, overwrited from JetObject, fill ID/Class's property choice

  Overrides:
    `fillContextList` in class `jet.controls.JetObject`

### getX

    public JetUnitNumber getX()

  Specified by:
    `getX` in interface `jet.controls.VisualRectangle`

### getY

    public JetUnitNumber getY()

  Specified by:
    `getY` in interface `jet.controls.VisualRectangle`

### getDisplay

    public JetEnumeration getDisplay()

  Specified by:
    `getDisplay` in interface `jet.controls.VisualRectangle`

### getPosition

    public JetEnumeration getPosition()

  Specified by:
    `getPosition` in interface `jet.controls.VisualRectangle`

### getFloat

    public JetEnumeration getFloat()

  Specified by:
    `getFloat` in interface `jet.controls.VisualRectangle`

### getClear

    public JetEnumeration getClear()

  Specified by:
    `getClear` in interface `jet.controls.VisualRectangle`

### getWidth

    public JetUnitNumber getWidth()

  Specified by:
    `getWidth` in interface `jet.controls.VisualBox`

### getHeight

    public JetUnitNumber getHeight()

  Specified by:
    `getHeight` in interface `jet.controls.VisualBox`

### getBackground

    public JetColor getBackground()

  Specified by:
    `getBackground` in interface `jet.controls.VisualBox`

### getInvisible

    public JetBoolean getInvisible()

  Specified by:
    `getInvisible` in interface `jet.controls.VisualObject`

### getVisualObjType

    public int getVisualObjType()

  Specified by:
    `getVisualObjType` in interface `jet.controls.VisualObject`

### getSuppressed

    public JetBoolean getSuppressed()

  Specified by:
    `getSuppressed` in interface `jet.controls.VisualObject`

### addPropertyToGroup

    public final void addPropertyToGroup(java.lang.String propertyName,
                                         java.lang.String groupName)

  ONLY for UDO in Designer.
  Append a Property to Property-Group that will be showed in Designer Inspector
  Must sure that `propertyName` and `groupName` has been defined in this Object

  Overrides:
    `addPropertyToGroup` in class `jet.controls.JetObject`
  Parameters:
    `propertyName` -
    `groupName` -

### removePropertyGroup

    public final void removePropertyGroup(java.lang.String groupName)

  ONLY for UDO in Designer.
  Hide a Property-Group( and properties) that be showed in Designer Inspector
  Must sure that `groupName` has been defined in this Object

  Overrides:
    `removePropertyGroup` in class `jet.controls.JetObject`
  Parameters:
    `groupName` -

### removePropertyFromGroup

    public final void removePropertyFromGroup(java.lang.String groupName,
                                              java.lang.String propName)

  ONLY for UDO in Designer.
  Hide a Property in specified Property-Group that be showed in Designer Inspector
  Must sure that `groupName` has been defined in this Object

  Overrides:
    `removePropertyFromGroup` in class `jet.controls.JetObject`
  Parameters:
    `groupName` -
    `propName` -

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD